---
updatedAt: 2025-11-18T18:26:42.000Z
agentTools:
  projectIndex: https://developers.bluesnap.com/v8976-XML/llms.txt
---

# Delete Vaulted Shopper

To delete a shopper in BlueSnap, you will perform the Delete Vaulted Shopper request. In order to do this, you need either the BlueSnap token (`vaulted-shopper-id`) or the `merchant-shopper-id` for your shopper.

## Request Content

No content is required in the request body. Enter the relevant IDs in the request URL, as follows:

### Delete based on Vaulted Shopper ID

Enter the vaulted-shopper-id into the web service URL, in the format:\
services/2/vaulted-shoppers/\{vaulted-shopper-id}

For example:\
services/2/vaulted-shoppers/20769005

### Delete based on Merchant Shopper ID

Enter the merchant-shopper-id in the web service URL, in the format:\
services/2/vaulted-shoppers/merchant/\{merchant-shopper-id}

For example:\
services/2/vaulted-shoppers/merchant/6783334400

## Response Details

A successful response looks like this:\
`HTTP 200 {
    "description": "Your request to delete shopper ID 19570408 has been received and will be processed within 7 days."
}`

## Validations

Before a delete vaulted shopper request is approved, BlueSnap will verify the following:

* The shopper has not already been deleted
* The shopper does not have any active subscriptions
* The shopper does not have any pending ECP or SEPA payments

<Callout icon="📘" theme="info">
  **Deleted Shopper Data**

  Please note that any deleted shopper or shopper data will be masked in reports that include that information.
</Callout>

## Examples

### Request Examples

```curl Delete Vaulted Shopper Request with Vaulted Shopper ID
curl --location -g --request DELETE 'https://{URL}/services/2/vaulted-shoppers/19569096' \
--header 'Content-Transfer-Encoding: application/xml'
```
```curl Delete Vaulted Shopper Request with Merchant Shopper ID
curl --location -g --request DELETE 'https://{URL}/services/2/vaulted-shoppers/merchant/abc123test' \
--header 'Content-Transfer-Encoding: application/xml'
```

### Response Example

```xml Delete Vaulted Shopper Response: 200 OK
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<message xmlns="http://ws.plimus.com">
    <description>Your request to delete shopper ID 19569096 has been received and will be processed within 7 days.</description>
</message>
```